TEXFLAGS := -halt-on-error -interaction=nonstopmode -file-line-error

all: ass4.pdf

clean:
	rm *.out *.toc *.aux *.log *.pdf

%.pdf: %.tex
	pdflatex $(TEXFLAGS) $< | grep -i ".*:[0-9]*:.*\|warning" || true
